html {
	scroll-behavior: smooth;
}

body {
    margin: 0;
    width: 100%;
    height: 100%;
	font-family: 'Montserrat', sans-serif;
}


#fond {
    background-image: url("images/imageFond2.jpg");
    position: absolute;
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
}
.Titre{
    font-size: 700%;
    color: white;
    text-align: center;
    margin-top: 18%;
    margin-bottom: 7mm;
}

.categories{
    text-align: center;
    display: flex;
    align-items: center;
    padding-left: 18%;
    padding-right: 18%;
}

#boutton1 {
    flex: 1;
    margin-left: 30%;
}

#boutton2 {
    flex: 1;
    margin-right: 30%;
}

#boutton1 a{
    position: relative;
    text-decoration: none;
    width: 100px;
    height: 50px;
    text-align: center;
    line-height: 50px;
    display: inline-block;
    font-size: 24px;
    color: white;
    padding-left: 6mm;
    padding-right: 6mm;
    padding-top: 1mm;
    padding-bottom: 1mm;
  }
  #boutton1 a:before{
    content: '';
    position: absolute;
    top: -2px;
    left: -2px;
    width: 0;
    height: 0;
    background: transparent;
    border: 2px solid transparent;
  }
  #boutton1 a:hover:before{
    animation: animate 0.5s linear forwards;
  }
  @keyframes animate{
    0%{
      width: 0;
      height: 0;
      border-top-color: white;
      border-bottom-color: transparent;
      border-left-color: transparent;
      border-right-color: transparent;
    }
    50%{
      width: 100%;
      height: 0;
      border-top-color: white;
      border-bottom-color: transparent;
      border-left-color: transparent;
      border-right-color: white;
    }
    100%{
      width: 100%;
      height: 100%;
      border-top-color: white;
      border-bottom-color: transparent;
      border-left-color: transparent;
      border-right-color: white;
    }
  }
  #boutton1 a:after{
    content: '';
    position: absolute;
    top: -2px;
    left: -2px;
    width: 0;
    height: 0;
    background: transparent;
    border: 2px solid transparent;
  }
  #boutton1 a:hover:after{
    animation: animate2 0.5s linear forwards;
    animation-delay: 0.5s;
  }
  @keyframes animate2{
    0%{
      width: 0;
      height: 0;
      border-top-color: transparent;
      border-bottom-color: transparent;
      border-left-color: white;
      border-right-color: transparent;
    }
    50%{
      width: 0;
      height: 100%;
      border-top-color: transparent;
      border-bottom-color: white;
      border-left-color: white;
      border-right-color: transparent;
    }
    100%{
      width: 100%;
      height: 100%;
      border-top-color: transparent;
      border-bottom-color: white;
      border-left-color: white;
      border-right-color: transparent;
    }
  }

  @media (max-width: 1024px) {
    .Titre {
        font-size: 300%;
    }
    .categories {
        display: block;
    }
    #boutton1 {
        margin: auto;
    }
    #boutton2 {
        margin: auto;
    }
  }
  #boutton2 a{
    position: relative;
    text-decoration: none;
    width: 100px;
    height: 50px;
    text-align: center;
    line-height: 50px;
    display: inline-block;
    font-size: 24px;
    color: white;
    padding-left: 6mm;
    padding-right: 6mm;
    padding-top: 1mm;
    padding-bottom: 1mm;
  }
  #boutton2 a:before{
    content: '';
    position: absolute;
    top: -2px;
    left: -2px;
    width: 0;
    height: 0;
    background: transparent;
    border: 2px solid transparent;
  }
  #boutton2 a:hover:before{
    animation: animate 0.5s linear forwards;
  }
  @keyframes animate{
    0%{
      width: 0;
      height: 0;
      border-top-color: white;
      border-bottom-color: transparent;
      border-left-color: transparent;
      border-right-color: transparent;
    }
    50%{
      width: 100%;
      height: 0;
      border-top-color: white;
      border-bottom-color: transparent;
      border-left-color: transparent;
      border-right-color: white;
    }
    100%{
      width: 100%;
      height: 100%;
      border-top-color: white;
      border-bottom-color: transparent;
      border-left-color: transparent;
      border-right-color: white;
    }
  }
  #boutton2 a:after{
    content: '';
    position: absolute;
    top: -2px;
    left: -2px;
    width: 0;
    height: 0;
    background: transparent;
    border: 2px solid transparent;
  }
  #boutton2 a:hover:after{
    animation: animate2 0.5s linear forwards;
    animation-delay: 0.5s;
  }
  @keyframes animate2{
    0%{
      width: 0;
      height: 0;
      border-top-color: transparent;
      border-bottom-color: transparent;
      border-left-color: white;
      border-right-color: transparent;
    }
    50%{
      width: 0;
      height: 100%;
      border-top-color: transparent;
      border-bottom-color: white;
      border-left-color: white;
      border-right-color: transparent;
    }
    100%{
      width: 100%;
      height: 100%;
      border-top-color: transparent;
      border-bottom-color: white;
      border-left-color: white;
      border-right-color: transparent;
    }
  }

  @media (max-width: 1024px) {
    .Titre {
        font-size: 300%;
    }
    .categories {
        display: block;
    }
    #boutton1 {
        margin: auto;
    }
    #boutton2 {
        margin: auto;
    }
  }